EDIT - feature request #8975

Name Status filtered in Ul
04/22/2020 07:07 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.20

Severity: major

Description

In PhycoBank Vaadin, all available status can be selected.
For PhycoBank just a few nomenclatural status are relevant and, thus should be available for users:

The list of necessary status (order alphabetically):
nom. cons.

nom. cons. prop.
nom. illeg.

nom. inval.

nom. orth. cons.

nom. orth. cons. prop.
nom. rej.

nom. rej. prop.

nom. utique rej.

nom. utique rej.prop.
orth. rej.

Negativliste

nom. ambig.(taxonomisch, kommt in Monographien vor.)

nom. dub. (taxonomisch, kommt in Monographien vor.)

nom. confus. (taxonomisch, kommt in Monographien vor.)

nom. cons. des. (weif3 nicht, was das ist)

nom. superfl. (taxonomisch, aber ndhere Beschreibung zu nom. illeg.)

nom. legit. (nomenklatorisch, das kenne ich nicht aus der Comunity und gilt fiir 100 % der wiss. Namen)

nom. altern.(nomenklatorisch, kommt sehr selten vor, so dass ich das nur drin haben méchte, wenn es wirklich gebraucht wird)
nom. nov. (nomenklatorisch, kommt nur am Ort des nomenklatorischen Aktes vor, d.h. nicht in PhycoBank)

nom. sanct. (nomenklatorisch, kommt nur bei Pilzen vor, ist daher fir PhycoBank nicht relevant)

nom. nud. (nomenklatorisch, ndhere Beschreibung zu nom. inval., obwohl die Zitierung It. ICN Rec. 50.B.1. empfohlen ist, wiirde ich
als Kurator inPhycoBank eine editorial note publizieren.)

comb. inval. (nomenklatorisch, aber nur Unterpunkt von nom. inval.)

comb. illeg. (nomenklatorisch, aber nur Unterpunkt von nom. illeg.)

nom. provis. (Unterpunkt von nom. inval., d.h. in PhycoBank wird das mit dem entsprechenden Artikel begriindet.)

nom. val. (gilt fur alle validen Namen, in botanischen Publikationen noch nie gefunden.)

opus. prop. oppr.(wichtig flir eine Publikation, die unterdriickt werden soll, das passt nicht zum Name Editor und wenn so etwas
vorkommt, wiirde ich eine editorial note schreiben.)

nom. subnud. (taxonomische Bewertung, ommt in Monographien vor.)

comb. nov. (nomenklatorisch, kommt nur am Ort des nomenklatorischen Aktes vor, d.h. nicht in PhycoBank)

ined. (sollte bei PhycoBank nicht vorkommen, denn PhycoBank beschaftigt sich nur mit publizierten Daten.)

Related issues:
Related to EDIT - feature request #8981: Improve NameStatus in Ul Closed
Related to EDIT - task #9411: use termtrees for user defined limited term lists New

Associated revisions

Revision d8791ff2 - 01/21/2021 02:27 PM - Andreas Kohlbecker

fix #8975 limiting available nom status types

Revision 0e53752c - 02/05/2021 11:19 AM - Andreas Kohlbecker

ref #8975 changing order of name status
History

#1 - 04/28/2020 11:15 AM - Andreas Kohlbecker
- Description updated

- Target version changed from Unassigned CDM tickets to Release 5.18

#2 - 04/28/2020 11:47 AM - Andreas Kohlbecker
- Related to feature request #8981: Improve NameStatus in Ul added

#3 - 09/29/2020 12:23 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Phycobank ready for submitters

#4 - 01/21/2021 02:27 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|d8791ff266ee1c66cdb6a0d20a57844107435294.

#5 - 01/21/2021 02:29 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- Target version changed from Phycobank ready for submitters to Release 5.19

ready for review

#6 - 01/21/2021 03:28 PM - Andreas Kohlbecker

- Related to task #9411: use termtrees for user defined limited term lists added

#7 - 01/29/2021 10:53 AM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#8 - 02/04/2021 07:05 PM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 90

The filtering is fine.
| could live with this order of the filtered terms.

But | would like also:
First the block with names (nom)
Last the ortohgraphy ones as a block (orth)

#9 - 02/05/2021 11:20 AM - Andreas Kohlbecker
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Order changed to

NomenclaturalStatusType.CONSERVED (),
NomenclaturalStatusType.CONSERVED_PROP (),
NomenclaturalStatusType.ILLEGITIMATE (),
NomenclaturalStatusType.INVALID (),
NomenclaturalStatusType.REJECTED (),
NomenclaturalStatusType.REJECTED_PROP (),
NomenclaturalStatusType.UTIQUE_REJECTED (),
NomenclaturalStatusType.UTIQUE_REJECTED_PROP (),
NomenclaturalStatusType.ORTHOGRAPHY_CONSERVED (),
NomenclaturalStatusType.ORTHOGRAPHY_CONSERVED_PROP (),
NomenclaturalStatusType.ORTHOGRAPHY_REJECTED ()

is this ok?
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/d8791ff266ee1c66cdb6a0d20a57844107435294

#10 - 02/05/2021 11:31 AM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
Yes

#11 - 02/05/2021 11:36 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

#12 - 02/05/2021 06:22 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.20
